---
title: "SearchContenthubNewsTeaser returns news articles that match the given search term and optional filters."
url: "https://developer.migros.ch/apis/content-search-api-prod-v1/versions/91af33ef-c15b-4385-bee3-2bafb1c92034/operations/ContentSearch_SearchContenthubNewsTeaser"
---

> Full API specification: https://developer.migros.ch/apis/content-search-api-prod-v1/versions/91af33ef-c15b-4385-bee3-2bafb1c92034.md

# SearchContenthubNewsTeaser returns news articles that match the given search term and optional filters.

`POST` `/migros/contentsearch/v1/contenthub/newsteaser/search`

Operation ID: `ContentSearch_SearchContenthubNewsTeaser`

## Request body (required)

Content types: `application/json`

## Responses

- `200` - A successful response.
- `default` - An unexpected error response.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: ContentSearch API PROD
  version: v1.114.1
servers:
  - url: https://api.migros.ch
paths:
  /migros/contentsearch/v1/contenthub/newsteaser/search:
    post:
      operationId: ContentSearch_SearchContenthubNewsTeaser
      requestBody:
        $ref: "#/components/requestBodies/ContentSearch_SearchContenthubNewsTeaserBody"
      responses:
        "200":
          content:
            application/json:
              schema:
                allOf:
                  - $ref: "#/components/schemas/contentsearchSearchContenthubNewsTeaserResponse"
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                allOf:
                  - $ref: "#/components/schemas/googlerpcStatus"
          description: An unexpected error response.
      security:
        - apiKeyAuth: []
      summary: |-
        SearchContenthubNewsTeaser returns news articles that match the given
        search term and optional filters.
      tags:
        - ContentSearch
security:
  - apiKeyAuth: []
components:
  requestBodies:
    ContentSearch_SearchContenthubNewsTeaserBody:
      content:
        application/json:
          schema:
            allOf:
              - $ref: "#/components/schemas/contentsearchSearchContenthubNewsTeaserRequest"
      required: true
  schemas:
    contentsearchSearchContenthubNewsTeaserResponse:
      properties:
        newsTeaser:
          description: >-
            Optional. If news items matching the requested criteria were found,
            they're

            in here.
          items:
            allOf:
              - $ref: "#/components/schemas/contentsearchContenthubNewsTeaser"
            type: object
          type: array
        totalHits:
          description: >-
            Total number of news items for this request, not taking
            options.page_size

            into account.
          format: int64
          type: string
      type: object
    googlerpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            allOf:
              - $ref: "#/components/schemas/protobufAny"
            type: object
          type: array
        message:
          type: string
      type: object
    contentsearchSearchContenthubNewsTeaserRequest:
      properties:
        doNotMatch:
          description: >-
            Optional. Terms not to be matched, multiple terms will be combined
            with an

            "AND" relationship.
          items:
            allOf:
              - $ref: "#/components/schemas/contentsearchTerm"
            type: object
          type: array
        language:
          allOf:
            - $ref: "#/components/schemas/contentsearchLanguage"
          description: >-
            Optional. If set, only news matching this language will be returned.
            By

            default, german news are returned.
        match:
          description: >-
            Optional. Terms to be matched, multiple terms will be combined with
            an

            "AND" relationship.
          items:
            allOf:
              - $ref: "#/components/schemas/contentsearchTerm"
            type: object
          type: array
        options:
          allOf:
            - $ref: "#/components/schemas/contentsearchOutputOptions"
          description: Optional. OutputOptions for pagination and sorting.
        searchTerm:
          description: Optional. Search Term for fulltext-search.
          type: string
        timeTerms:
          description: >-
            Optional. Time terms to be matched, multiple time terms will be
            combined

            with an "AND" relationship.
          items:
            allOf:
              - $ref: "#/components/schemas/contentsearchTimeTerm"
            type: object
          type: array
      type: object
    contentsearchContenthubNewsTeaser:
      properties:
        highlight:
          title: >-
            Optional. Titles with highlighted title fragments for search term
            matches.

            Only present for autocomplete searches

            Example: "Die beliebtesten Eigenmarken: Typisch <b>Migros</b>"
          type: string
        id:
          title: Required. ID of the article
          type: string
        intro:
          description: Required.
          type: string
        region:
          description: Optional. The region for the news item.
          type: string
        releaseDate:
          description: |-
            The time the content was published.

            Content taken from the news item itself.
          format: date-time
          type: string
        slug:
          description: Required. The slug of this news item.
          type: string
        tags:
          items:
            allOf:
              - $ref: "#/components/schemas/contentsearchCategoryTag"
            type: object
          title: Required. Tags of the article
          type: array
        title:
          description: Required. The title of this news item.
          type: string
        titleImage:
          allOf:
            - $ref: "#/components/schemas/contentsearchImage"
          title: Required. Image of the article
        translationAvailable:
          description: |-
            Wenn translationAvailable = false it means that this teaser in the
            requested language has been chosen through language fallbacks, and
            hence has not explicitly maintained in this language in Contentful.
          type: boolean
      title: |-
        ContenthubNewsTeaser represents the teaser of a news item from contenthub
        and is stored in the Contenthub Contentful Space with the ID: 0y25wr71xvc0.
        https://app.contentful.com/spaces/0y25wr71xvc0/environments/staging/views/entries
      type: object
    protobufAny:
      additionalProperties: {}
      properties:
        "@type":
          type: string
      type: object
    contentsearchTerm:
      properties:
        field:
          description: Required. Name of the field this term applies to, e.g. 'tags.id'.
          type: string
        values:
          description: >-
            Required. Values of the above field. These will be combined with an
            "OR"

            relationship.
          items:
            type: string
          type: array
      title: |-
        Term matches a field with one or multiple values. Multiple values are
        combined with an "OR" relationship
      type: object
    contentsearchLanguage:
      default: DE
      enum:
        - DE
        - FR
        - IT
        - EN
      title: Languages which can be filtered
      type: string
    contentsearchOutputOptions:
      properties:
        nextPageFrom:
          format: int64
          title: >-
            Optional. An offset into the elasticsearch response from where news
            should

            be returned, e.g. 6
          type: string
        pageSize:
          description: Optional. The maximum number of items to return in the response.
          format: int64
          type: string
        sortBy:
          description: >-
            Optional. A list of sort parameters to determine the order of the
            results.

            Example: ["updatedAt:desc", "_score:desc"].

            Each entry specifies a field and its sort direction (asc/desc).
          items:
            type: string
          type: array
      title: OutputOptions configures pagination and sorting
      type: object
    contentsearchTimeTerm:
      description: TimeTerm filters a time field. Either min, max or both should be
        provided.
      properties:
        field:
          description: Required. Name of the field that this term applies to, e.g.
            'updated_at'.
          type: string
        max:
          description: |-
            Optional. Max timestamp value that should be allowed for the field
            (exclusive).
          format: date-time
          type: string
        min:
          description: |-
            Optional. Min timestamp value that should be allowed for the field
            (inclusive).
          format: date-time
          type: string
      type: object
    contentsearchCategoryTag:
      properties:
        category:
          type: string
        id:
          type: string
        title:
          type: string
      type: object
    contentsearchImage:
      properties:
        altText:
          type: string
        caption:
          type: string
        credits:
          type: string
        focalPoint:
          allOf:
            - $ref: "#/components/schemas/ImagePoint"
        height:
          format: int64
          type: string
        id:
          type: string
        mimeType:
          type: string
        shortCaption:
          type: string
        url:
          type: string
        width:
          format: int64
          type: string
      type: object
    ImagePoint:
      properties:
        x:
          format: int64
          type: string
        y:
          format: int64
          type: string
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-Api-Key
      type: apiKey
```
